/api/v1/tags (GET)
GET
/api/v1/tags
const url = 'https://api.endless.zaia.app/api/v1/tags?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/tags?pageNumber=1&pageSize=10'Retrieves multiple tags.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”ids
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
search
Search term to filter tags by name or description.
string
Search term to filter tags by name or description.
Responses
Seção intitulada “Responses”Retrieves all tags for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
activeTicketCount
required
The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.
integer
color
required
The color of the tag.
string
description
required
The description of the tag.
string
name
required
The display name of the tag.
string
workspaceId
required
The workspace that owns this tag.
string format: uuid
Example
[ { "color": "default" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}